Bug 456221 - mkisofs fails with files >4GB and returns 0
mkisofs fails with files >4GB and returns 0
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cdrtools (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Harald Hoyer
: Rebase
: 749896 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 06:32 EDT by Rainer Traut
Modified: 2014-06-11 06:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Traut 2008-07-22 06:32:00 EDT
Description of problem:
mksisofs fails with files > 4GB and terribly returns 0
which makes for example automatic Backups useless

Version-Release number of selected component (if applicable):
# rpm -qf /usr/bin/mkisofs
mkisofs-2.01-10

How reproducible:
always

Steps to Reproduce:
1. have a small and a large File:
# ls -la file1.tar smallFile
-rw-r--r-- 1 root root 4316917760 22. Jul 12:23 file1.tar
-rw-r--r-- 1 root root          0 22. Jul 12:24 smallFile 

2. make iso and watch return value
# mkisofs -quiet -r -V "test" -J -joliet-long -jcharset UTF-8 -o my.iso
file1.tar smallFilemkisofs: Value too large for defined data type. File
file1.tar is too large - ignoring
# echo $?
0
# ls -la my.iso
-rw-r--r-- 1 root root 370688 22. Jul 12:26 my.iso

3. the man page describes "-iso-level 4" which fails too:
# mkisofs -quiet -iso-level 4 -r -V "test" -J -joliet-long -jcharset UTF-8 -o
my.iso file1.tar
Warning: Creating ISO-9660:1999 (version 2) filesystem.
Warning: ISO-9660 filenames longer than 31 may cause buffer overflows in the OS.
Unknown charset
Known charsets are:
cp10081
cp10079
cp10029
cp10007
cp10006
cp10000
koi8-u
koi8-r
cp1251
cp1250
cp874
cp869
cp866
cp865
cp864
cp863
cp862
cp861
cp860
cp857
cp855
cp852
cp850
cp775
cp737
cp437
iso8859-15
iso8859-14
iso8859-9
iso8859-8
iso8859-7
iso8859-6
iso8859-5
iso8859-4
iso8859-3
iso8859-2
iso8859-1
Iconv charsets cannot be used with Apple extension, HFS, ISO9660 version 2 or
Rock Ridge.                  
  
Actual results:
.iso file with missing files!

Expected results:
.iso file with all files!


Additional info:
Newer versions of mkisofs can handle 4GB files.
Comment 1 Harald Hoyer 2008-07-22 07:02:21 EDT
does it work, if you create a udf filesystem instead of iso9660?
Comment 2 Harald Hoyer 2008-07-22 07:04:57 EDT
or "-iso-level 3" ?
Comment 3 Rainer Traut 2008-07-22 07:23:41 EDT
No it does not work either way;
specifying "-udf" or "-iso-level 3" both fail with:

mkisofs: Value too large for defined data type. File file1.tar is too large -
ignoring

and:
# echo $?
0
Comment 4 Jörg Schilling 2009-02-10 10:44:40 EST
You are using an extremely outdated mkisofs.

If you like to get support for files > 4 GB, you need a recent
original mkisofs version from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

The binaries shipped by redhat create broken filesystem
images for files > 4 GB.

In order to get ISO-9660 support for files > 4 GB, you
need to specify -iso-level 3 or more. If you specify -udf
only the UDF part will contain large files.

Note that mkisofs is currently able to handle files
up to 8 TB in ISO-9660 and up to 128 GB in UDF.
Comment 9 RHEL Product and Program Management 2009-11-06 14:06:51 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 10 Jörg Schilling 2009-11-24 04:34:44 EST
Is there any hope that RadHat will again ship the
original and usable software instead of the fork 
in a future RedHat release?

The current situation is bad as RedHat ships forked software
that is full of well known bugs and the fork is unmaintained
since May 6th 2007. In addition, the fork cannot be legally
distributed as it is in conflict with the GPL and the
Copyright law. When will RedHat again ship legal working
software?
Comment 11 Phil Knirsch 2012-03-20 07:13:38 EDT
*** Bug 749896 has been marked as a duplicate of this bug. ***
Comment 12 RHEL Product and Program Management 2012-06-11 21:17:30 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 13 David Mansfield 2012-07-20 13:24:12 EDT
i also have lost 6 months of backups due to this issue.  just installed mkisofs from cdrtools and it doesn't have this critical unfixed bug.

if a file is not added to the iso, it can't exit with 0 status.  can't.
Comment 14 RHEL Product and Program Management 2014-03-07 08:40:59 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 15 RHEL Product and Program Management 2014-06-02 09:09:02 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).
Comment 16 Jörg Schilling 2014-06-03 06:33:14 EDT
So your problem is that you don't have the skills to upgrade your 10 year old
questionable mkisofs variant by a recent version?

If this is true, then you hereby flag that RedHat delivers an unmaintained
distro. 

Other larger distros seem to be more clever and meanwhile upgraded to the
official original software instead of continuing to ship software that is
known to be unmainted and full of bugs.
Comment 17 David Mansfield 2014-06-03 09:04:33 EDT
As they say on Battlestar Galactica, "All of this has happened before, and will happen again."

Bugs, forks, egos, product management and users getting the shaft.
Comment 18 Rainer Traut 2014-06-10 04:18:33 EDT
Bugzilla mails me with a weird requests to deal with this bug. This is ridiculous.

What am I supposed to do if Red Hat denies to fix it?
Comment 19 Jörg Schilling 2014-06-11 06:58:10 EDT
The problem you describe has been fixed in the original software in
August 2006. So there is a fix since nearly 8 years and if you were
on a maintained Linux distro, I would expect the fix to be integrated
since at least 7.5 years.

You have two opportunities:

1) use a recent unomodified original source from:

https://sourceforge.net/projects/cdrtools/files/alpha/
or
https://sourceforge.net/projects/cdrtools/files/

  you need to compile and install the software yourself

2) switch to a linux distro that is maintained. There are 
   more and more Linux distros that kick out the defective fork
   Redhat is using and return to the original software instead.

You could of course try to convince Redhat to come back to the
legally correct original code but given the fact that Redhat did
not move since a long time, there seems to much stubborness at Redhat
tp prevent a change.

Note You need to log in before you can comment on or make changes to this bug.